<template>
  <div class="px-5">
    <pwd-setting
      :phone="$route.query.phone"
      :sendSmsFunc="sendSmsFunc"
      :sendVoiceFunc="sendVoiceFunc"
      :setPwdFunc="setPwdFunc"
    />
  </div>
</template>

<script lang="ts">
import PwdSetting from "./PwdSetting.vue";
import Vue from "vue";
export default Vue.extend({
  components: { PwdSetting },
  methods: {
    async sendSmsFunc(phone: string) {
      return 1;
    },
    async sendVoiceFunc(phone: string) {
      return 1;
    },
    async setPwdFunc(phone: string, code: string, pwd: string) {
      this.$router.push({
        name: "Home",
      });
      return 1;
    },
  },
});
</script>
